Package ch.qos.logback.classic.spi

# Class PackagingDataCalculator

java.lang.Object
ch.qos.logback.classic.spi.PackagingDataCalculator

public class PackagingDataCalculator extends Object
Given a classname locate associated PackageInfo (jar name, version name).

Author:
  James Strachan

## Constructor Summary

Constructors
Constructor
Description
`PackagingDataCalculator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`calculate(IThrowableProxy tp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PackagingDataCalculator

public PackagingDataCalculator()

## Method Details

### calculate

public void calculate(IThrowableProxy tp)